## systemd 257.9

=== .github/workflows/requirements.txt ===
meson==1.6.0 \
    --hash=sha256:234a45f9206c6ee33b473ec1baaef359d20c0b89a71871d58c65a6db6d98fe74 \
    --hash=sha256:999b65f21c03541cf11365489c1fad22e2418bb0c3d50ca61139f2eec09d5496
ninja==1.11.1.2 \
    --hash=sha256:0bca4179119426a3c3c9d5661c3b244d68781064e50907a1e066bc55edc18e06 \
    --hash=sha256:0c9c36f6e6f8946c7271b0ed14d98fc3ea467a0c0954fb73f5f656c42667d943 \
    --hash=sha256:1cfbb845095ea09da8c089375a8f999e75f4817d01506297c66181b533175647 \
    --hash=sha256:232767144401847db62e8392047866698bb3678158a1ae4400a97111110e90f2 \
    --hash=sha256:33d258809c8eda81f9d80e18a081a6eef3215e5fd1ba8902400d786641994e89 \
    --hash=sha256:3e815e4147832b17ec38417efcb31df51671ae273f083409304c7cc32a14dd1a \
    --hash=sha256:4fbd07b2b4232543726abafdd350453a2fabef4527664ca0e491c578aee5f857 \
    --hash=sha256:508fb93395a5c82a4d99d30fce0cbaf5cb2bd33e5c1dc9faaa080e199802dbc9 \
    --hash=sha256:52af7f45750c5c288d566fd0c927ed9bb0d8f2e50803709f582a42bcc4ec167b \
    --hash=sha256:9200247cf4c1643a67d079836b8dd31a362e34e618b50b5e3a5c0d0171efc442 \
    --hash=sha256:949e23cb2e79a33ea37d23a07d26846d2e75464e8e6940f8751fe964bc141dfa \
    --hash=sha256:99fc4b87299242e10d7edd1c7737fdfb1269019e32f9f4267630887f6183a49e \
    --hash=sha256:ab4068ff7ff1f895485ad604116165b05d6810c802170a7f22c09dd678d5587d \
    --hash=sha256:cb6b476eb4e84c0efcfd3ab04f660dedce8adb854b56b043639312f3af176df6 \
    --hash=sha256:ecf3df324b56fdfb0872990a71e706efdae286e010310816c72b6bf24431711b \
    --hash=sha256:ed25892c16e49e66383a8db6a67a9f33b41230fc485426094d7da51e2255ec2b \
    --hash=sha256:ee7b1924c28e6cab5b866f7b229f07777d25d8cfccbbedf3da5ffb4f72f57877

=== debian/changelog ===
systemd (257.9-0ubuntu2) questing; urgency=medium

  * basic: validate timezones in get_timezones() (LP: #2125405)
  * debian/libnss-systemd.nss: install after 'compat' too (LP: #2125403)
  * d/t/boot-and-services: use coreutils tunable in apparmor test (LP: #2125614)
  * d/t/upstream: use GNU cp in test setup (LP: #2122363)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 25 Sep 2025 12:45:39 -0400

systemd (257.9-0ubuntu1) questing; urgency=medium

  [ Nick Rosbrook ]
  * New upstream stable version 257.9
    - Bug fixes only
    - Update upstream source from tag 'ubuntu/upstream/257.9'
      Update to upstream version '257.9'
      with Debian dir 991861d2786efe36972fc9cc9d3dcb496264de5a
  * Drop resolve-re-create-link-unicast-scopes-on-reload.patch
    Applied upstream: https://github.com/systemd/systemd/commit/fc74fb8cb3

  [ Marco Trevisan (Treviño) ]
  * debian/libnss-systemd.preinst: force nsswitch.conf update
    Drop systemd instances in nsswitch.conf, and force postinst to
    re-generate the file (LP: #2121017)
  * debian/linbnss-systemd.nss: Install systemd service after files.
    As suggested by upstream the systemd NSS service should come just after
    files

  [ Luca Boccassi ]
  * systemd-boot-tools: change architecture to linux-any.
    The tool can be used for cross-building, and it's available on
    all architectures, not just EFI ones (LP: #2122158)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 08 Sep 2025 08:41:33 -0400

systemd (257.8-0ubuntu2) questing; urgency=medium

  [ Lukas Märdian ]
  * d/[t/]control,d/systemd-resolved-dnssec*: Disable DNSSEC by default.
    (LP: #2121483)

  [ Nick Rosbrook ]
  * resolve: re-create link unicast scopes on reload
  * d/control: Conflicts: and Replaces: systemd-resolved-dnssec
    Ensures systemd-resolved-dnssec is removed on systems that already have
    it.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 27 Aug 2025 16:09:22 -0400

systemd (257.8-0ubuntu1) questing; urgency=medium

  * New upstream stable version 257.8
    - Bug fixes only
    - d/gbp.conf: set upstream-branch=upstream/257.x
    - Update upstream source from tag 'ubuntu/upstream/257.8'
      Update to upstream version '257.8'
      with Debian dir 8f881d0950662d924a4334d266ef5606b560f61c
  * d/rules: drop bpf build workarounds for Ubuntu
  * test: skip TEST-50-DISSECT.dissect (LP: #2116460)
  * d/t/boot-and-services: tweak test_rsyslog regexes

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 25 Aug 2025 15:51:41 -0400

systemd (257.7-1ubuntu3) questing; urgency=medium

  * meson.build: build with -Wl,-z,gcs-report=none on arm64 (LP: #2119100)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 01 Aug 2025 11:55:27 -0400

systemd (257.7-1ubuntu2) questing; urgency=medium

  [ Lukas Märdian ]
  * d/control,d/systemd-resolved-dnssec*: Add systemd-resolved-dnssec binary,
    shipping a drop-in config from d/extra/resolved.conf.d/ (LP: #2117730)
  * d/t/control: Add new 'dnssec' test case.
  * d/control: Add Recommends to systemd-resolved-dnssec

  [ Nick Rosbrook ]
  * test: ignore coredumps for gnusleep in addition to sleep (LP: #2116459)
  * test: follow /usr/bin/sleep symlink when checking coredumps (LP: #2116465)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 29 Jul 2025 12:11:40 -0400

systemd (257.7-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tests/boot-and-services: skip apparmor tests on armhf
    - debian/systemd.postinst:
      + manually call systemd-tmpfiles --create in postinst
      + Do not create /etc/tmpfiles.d/tmp.conf on upgrades
    - debian/control:
      + Add Recommends: networkd-dispatcher systemd-resolved to systemd package
      + Make systemd-cryptsetup Priority: important
      + Give systemd-resolved Priority: important
      + Add Recommends: systemd-hwe-hwdb to udev package
      + Drop Recommends: libnss-myhostname libnss-resolve from systemd-resolved
      + Do not build systemd-boot-efi-{amd64,arm64}-signed-template
    - switch-root: use MS_MOVE for /run when switchig from initrd
    - resolve,wait-online: backport wait-online DNS patches
    - test-network: add handling for Ubuntu FAN patches (LP #2104943)
    - d/rules: disable bpf support on riscv64 for now (LP #2099864)
    - d/extra/dbus-1: remove SetLocale restriction from dbus policy (LP #2102028)
    - d/extra/polkit-1: let root ignore inhibitors on reboot etc (LP #2092438)
    - Fix d/extra/initramfs-tools/hooks/udev, so that udev rules that are
      specific to s390x ccw devices are only prevented from being copied if
      zdev_early=0 is set, but copy rules in case of zdev_early=1 or if
      zdev_early is not specified at all. (LP #2102236)
    - Delta for i386:
      + debian/systemd.install: exclude files that are not built for i386
      + debian/systemd.manpages: do not ship un-built manpages on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with tpm libraries on i386
      + debian/rules,debian/control,debian/tests/control:
        Do not build with libqrencode on i386
      + debian/rules: Remove unneeded efi artifacts on i386 to avoid debugedit errors

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 30 Jun 2025 15:11:21 -0400

=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>,
           Luca Boccassi <bluca@debian.org>,
           Nick Rosbrook <enr0n@ubuntu.com>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Homepage: https://systemd.io
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               dh-exec,
               dh-package-notes,
               dh-sequence-dlopenlibdeps <!stage1>,
               dh-sequence-installnss,
               dh-sequence-installsysusers,
               pkgconf,
               xsltproc <!nodoc>,
               docbook-xsl <!nodoc>,
               docbook-xml <!nodoc>,
               meson (>= 0.60.0),
               rsync | meson (>= 1.3.0~),
               clang:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               linux-bpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               libbpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
               bpftool:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
               linux-tools-generic <pkg.systemd.upstream> | bpftool <pkg.systemd.upstream>,
               gettext,
               gperf,
               libcap-dev,
               libcrypt-dev,
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:2.4) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 1.3.0),
               lz4 <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-openssl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libfdisk-dev (>= 2.33),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 hppa loong64 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               libtss2-dev [!i386] <!stage1>,
               libfido2-dev <!stage1>,
               libp11-kit-dev <!stage1>,
               libssl-dev <!stage1>,
               libqrencode-dev [!i386] <!stage1>,
               libxen-dev [amd64 arm64] <!stage1>,
               libpwquality-dev <!stage1>,
               libarchive-dev <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pefile:native <!stage1 !nocheck> <!stage1 !noinsttest>,
               python3-pyelftools [amd64 i386 arm64 armhf loong64 riscv64] <!stage1>,
               jq [amd64 arm64] <!stage1>,
               python3-pyparsing <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata-legacy <!nocheck> | tzdata (<< 2025a-2) <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,
               fdisk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            linux-sysctl-defaults,
            networkd-dispatcher,
            systemd-timesyncd | time-daemon,
            systemd-resolved,
            systemd-cryptsetup,
            ${dlopen:Recommends},
Suggests: systemd-container,
          systemd-homed,
          systemd-userdbd,
          systemd-boot,
          systemd-repart,
          libtss2-tcti-device0,
          polkitd,
          ${dlopen:Suggests},
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         mount,
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
           opensysusers (<< 0.7.3-4.1~),
Breaks: less (<< 563),
        sicherboot (<< 0.1.6),
        dracut-core (<< 102-2~),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Priority: important
Protected: yes
Conflicts: sysvinit-core,
           file-rc,
           systemd-shim,
           initscripts,
           orphan-sysvinit-scripts,
           sysv-rc,
           insserv,
           startpar,
           bfh-container (<< 20211009-22~),
           molly-guard (<< 0.8.2~),
           progress-linux-container (<< 20221002-11~),
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: ${misc:Depends},
         systemd (= ${binary:Version}),
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV compatibility symlinks
 This package provides manual pages and compatibility symlinks needed for
 systemd to replace sysvinit.
 .
 Installing systemd-sysv will overwrite /sbin/init with a symlink to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
            ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: systemd (<< 256-2~),
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Conflicts: time-daemon,
           systemd (<< 256.2-2~),
Replaces: time-daemon
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
         python3-psutil,
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime,
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Recommends: dbus-user-session,
            ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Conflicts: libpam-elogind-compat,
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.0.2 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-resolved (= ${binary:Version}),
Recommends: ${dlopen:Recommends},
Suggests: ${dlopen:Suggests},
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq (amd64,$(DEB_HOST_ARCH))
export TEMPLATE_EFI_ARCH=x64
else ifeq (arm64,$(DEB_HOST_ARCH))
export TEMPLATE_EFI_ARCH=aa64
endif

# We are building on OBS? Then it's an upstream build, set the profile and
# use the addon for Secure Boot EFI signing
ifneq ("$(wildcard /.build/build.dist)","")
export DEB_BUILD_PROFILES += pkg.systemd.upstream
DH_ADDONS = --with=signobs
endif

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO = \
		-Duser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin \
		-Ddefault-llmnr=no \
		-Ddefault-mdns=no

else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# Fail on missing files and symbol changes on distro builds, but not if we
# build/test upstream master. Also, don't put the debian revision in the version
# tag when we build/test upstream as it doesn't have any meaning in that case
# and it allows using the current date as the debian revision without causing
# unnecessary rebuilds all the time.
ifeq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
    DH_MISSING ?= --fail-missing
    GENSYMBOLS_LEVEL ?= 4
    VERSION_TAG = $(DEB_VERSION)
else
    DH_MISSING ?= --list-missing
    GENSYMBOLS_LEVEL ?= 1
    VERSION_TAG = $(DEB_VERSION_UPSTREAM)
endif

# Make sure that DEB_BUILD_OPTIONS can be used by users to override any options
# we set here (By default DEB_BUILD_MAINT_OPTIONS overrides DEB_BUILD_OPTIONS).
export DEB_BUILD_MAINT_OPTIONS = optimize=+lto hardening=+pie $(DEB_BUILD_OPTIONS)

CONFFLAGS = \
	-Dstatic-libsystemd=true \
	-Dversion-tag="$(VERSION_TAG)" \
	-Dquotaon-path=/usr/sbin/quotaon \
	-Dquotacheck-path=/usr/sbin/quotacheck \
	-Dkmod-path=/usr/bin/kmod \
	-Dkexec-path=/usr/sbin/kexec \
	-Dsulogin-path=/usr/sbin/sulogin \
	-Dmount-path=/usr/bin/mount \
	-Dumount-path=/usr/bin/umount \
	-Dloadkeys-path=/usr/bin/loadkeys \
	-Dsetfont-path=/usr/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/usr/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-dnssec=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dvconsole=false \
	-Dfirstboot=true \
	-Dxkbcommon=disabled \
	-Dwheel-group=false \
	-Doomd=true \
	-Durlify=true \
	-Dgnutls=disabled \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660 \
	-Drepart=enabled \
	-Dfdisk=enabled \
	-Dsysext=true \
	-Dselinux=enabled \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),disabled,enabled) \
	-Ddbus-interfaces-dir=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),no,yes) \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=enabled \
	-Dnss-resolve=enabled \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstatus-unit-format-default=combined \
	-Dstandalone-binaries=true \
	-Dutmp=false \
	-Dtty-mode=0600 \
	-Dmode=$(if $(filter pkg.systemd.upstream,$(DEB_BUILD_PROFILES)),developer,release)

ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES))$(filter noinsttest,$(DEB_BUILD_PROFILES)),nochecknoinsttest)
CONFFLAGS += -Dtests=false
else
CONFFLAGS += -Dtests=true
endif

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS += \
	-Daudit=enabled \
	-Dlibcryptsetup=enabled \
	-Dlibcryptsetup-plugins=enabled \
	-Dcoredump=true \
	-Delfutils=enabled \
	-Dapparmor=enabled \
	-Dlibidn2=enabled \
	-Dlibiptc=enabled \
	-Dlibcurl=enabled \
	-Dimportd=enabled \
	-Dmicrohttpd=enabled \
	-Dopenssl=enabled \
	-Dcryptolib=openssl \
	-Ddns-over-tls=openssl \
	-Dlibfido2=enabled \
	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
	-Dp11kit=enabled \
	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
	-Dpwquality=enabled \
	-Dhomed=enabled \
	-Duserdb=true \
	-Dpcre2=enabled \
	-Dukify=enabled \
	-Dbootloader=$(if $(filter amd64 i386 arm64 armhf loong64 riscv64,$(DEB_HOST_ARCH)),enabled,disabled) \
	-Dsysupdate=enabled
else
CONFFLAGS += \
	-Daudit=disabled \
	-Dlibcryptsetup=disabled \
	-Dlibcryptsetup-plugins=disabled \
	-Dcoredump=false \
	-Delfutils=disabled \
	-Dapparmor=disabled \
	-Dlibidn2=disabled \
	-Dlibiptc=disabled \
	-Dlibcurl=disabled \
	-Dimportd=disabled \
	-Dmicrohttpd=disabled \
	-Dopenssl=disabled \
	-Dlibfido2=disabled \
	-Dtpm2=disabled \
	-Dp11kit=disabled \
	-Dqrencode=disabled \
	-Dpwquality=disabled \
	-Dhomed=disabled \
	-Duserdb=false \
	-Dpcre2=disabled \
	-Dukify=disabled \
	-Dbootloader=disabled \
	-Dsysupdate=disabled
endif

# BPF/BTF are only enabled and usable on a few architectures
ifeq (, $(filter $(DEB_BUILD_PROFILES), stage1 pkg.systemd.nobpf))
ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el s390x))
CONFFLAGS += \
	-Dvmlinux-h=provided \
	-Dbpf-framework=enabled \
	-Dbpf-compiler=clang \
	-Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/bpf/vmlinux.h

endif
endif

ifeq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
CONFFLAGS += -Ddns-servers=''
CONFFLAGS += -Dsbat-distro-url=https://tracker.debian.org/pkg/systemd
else
CONFFLAGS += -Dsbat-distro-url=https://github.com/systemd/systemd
CONFFLAGS += -Dsbat-distro=upstream
CONFFLAGS += -Dsbat-distro-summary='Upstream build from git'
endif

# Increase the minimum number of sections to keep free in stub PE header in
# order to be able to create an UKI file with many DTBs (each of them is stored
# in a different .dtbauto section)
ifneq (,$(filter $(DEB_TARGET_ARCH), arm64 armhf riscv64))
CONFFLAGS += -Defi-stub-extra-sections=500
endif

override_dh_auto_configure:
	dh_auto_configure \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_UPSTREAM)

execute_before_dh_auto_build:
	# blhc false positives: C++ fuzz test program, cc -E flags listing, PE-COFF EFI binaries
	@echo 'blhc: ignore-line-regexp: .* -o test-bus-vtable-cc.*'
	@echo 'blhc: ignore-line-regexp: .*cc -E.*'
	@echo 'blhc: ignore-line-regexp: .* -o src/boot/.*'
	@echo 'blhc: ignore-line-regexp: .* Compiling C object fuzz.*'

execute_before_dh_auto_clean:
ifneq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
	debian/extra/checkout-upstream
endif

execute_before_dh_install:
	# remove unnecessary / unused files that are picked up by wildcards/directory listings in dh_install
	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
	rm -f debian/tmp/usr/lib/udev/*.d/README
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	if [ -d debian/tmp/usr/lib/sysusers.d/ ]; then \
		debian/extra/make-sysusers-basic > debian/tmp/usr/lib/sysusers.d/basic.conf; \
	fi

execute_after_dh_install-arch:
	# Ubuntu specific files
ifeq ($(DEB_VENDOR),Ubuntu)
	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
	install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py
	install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/usr/lib/udev/rules.d/
	install -D --mode=644 debian/extra/resolved.conf.d/cache-no-negative.conf debian/systemd-resolved/usr/lib/systemd/resolved.conf.d/cache-no-negative.conf
	cp -a debian/extra/units-ubuntu/* debian/systemd/usr/lib/systemd/system/
endif

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: unit-config
Depends: systemd,
  udev,
  systemd-dev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  udev,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  udev,
  systemd-resolved,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  netlabel-tools,
  dnsmasq-base
Restrictions: needs-root, isolation-container, breaks-testbed, skip-not-installable, skippable

Tests: build-login
Depends: systemd,
  udev,
  systemd-cryptsetup,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkgconf,
  cryptsetup-bin,
  systemd-sysv,
  polkitd,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd,
  udev,
  systemd-container,
  systemd-coredump,
  systemd-dev,
  libpam-systemd,
  libdw-dev,
  libelf-dev,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [amd64],
  cron,
  network-manager,
  busybox-static,
  sysvinit-utils,
  rsyslog,
  apparmor,
  pkgconf,
  python3,
  python3-pefile,
  dhcpcd-base | dhcpcd5,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  libnss-myhostname,
  libnss-mymachines,
  libnss-resolve,
  libnss-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  python3-pefile,
  xz-utils,
  libcap2-bin,
  iproute2,
  lz4,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
  libtss2-dev [!i386],
  libfido2-dev,
  libdw-dev,
  libqrencode-dev [!i386],
  libpwquality-dev,
  libarchive-dev,
  libgcrypt20-dev,
  libcryptsetup-dev,
  tzdata-legacy | tzdata,
Restrictions: needs-root, isolation-container, skip-not-installable, skippable

Tests: boot-smoke
Depends: systemd-sysv,
  network-manager,
  gdm3 [!s390x !riscv64 !armel !loong64],
  xserver-xorg-video-dummy,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: build-with-static-libsystemd
Depends: systemd,
  pkgconf,
  build-essential,
  libsystemd-dev,
  libcap-dev,

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  snapd,
  dnsmasq-base,
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable

# Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/systemd-$1\.tar\.gz/ \
  https://github.com/systemd/systemd/tags .*/v?(257.\d\S*)\.tar\.gz

## systemd 258~rc1

=== debian/changelog ===
systemd (258~rc1-1) experimental; urgency=medium

  * ukify: recommend sbsigntool | pesign for signing (Closes: #1108803)
  * Move bootctl zsh completion file too to new package
  * systemd-boot-tools: change architecture to linux-any. The tool can be
    used for cross-building, and it's available on all architectures, not
    just EFI ones
  * systemd-boot: fix initramfs post-update hook for uncompressed kernels
    (Closes: #1109098)
  * d/watch: remove restriction to v257.x series
  * Update upstream source from tag 'upstream/258_rc1' Update to upstream
    version '258~rc1' with Debian dir
    79d831e85f4a665f4ecdd61d0fbe6121b48ff7f3
  * Add and remove files for 258~rc1
  * Enable sd-vmspawn (Closes: #1074433)
  * NEWS: note cgroupv1 removal
  * Drop world-writable /run/lock debianism
  * Drop all workarounds that are obsolete after trixie
  * NEWS: note removal of telinit/runlevel
  * Update symbols file for 258~rc1
  * Update Lintian overrides
  * Add a few more conflicts to packages providing the same files
  * d/copyright: update paths

 -- Luca Boccassi <bluca@debian.org>  Wed, 23 Jul 2025 22:23:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>,
@@ -11,8 +10,8 @@
            Nick Rosbrook <enr0n@ubuntu.com>,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
-Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
+Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
+Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
 Homepage: https://systemd.io
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -27,10 +26,10 @@
                docbook-xml <!nodoc>,
                meson (>= 0.60.0),
                rsync | meson (>= 1.3.0~),
-               clang:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
-               linux-bpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
-               libbpf-dev [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1>,
-               bpftool:native [amd64 arm64 ppc64el s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
+               clang:native [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
+               linux-bpf-dev [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
+               libbpf-dev [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1>,
+               bpftool:native [amd64 arm64 ppc64el riscv64 s390x] <!pkg.systemd.nobpf !stage1 !pkg.systemd.upstream>,
                linux-tools-generic <pkg.systemd.upstream> | bpftool <pkg.systemd.upstream>,
                gettext,
                gperf,
@@ -62,11 +61,11 @@
                libdw-dev (>= 0.158) <!stage1>,
                libpolkit-gobject-1-dev <!stage1>,
                libzstd-dev (>= 1.4.0),
-               libtss2-dev [!i386] <!stage1>,
+               libtss2-dev <!stage1>,
                libfido2-dev <!stage1>,
                libp11-kit-dev <!stage1>,
                libssl-dev <!stage1>,
-               libqrencode-dev [!i386] <!stage1>,
+               libqrencode-dev <!stage1>,
                libxen-dev [amd64 arm64] <!stage1>,
                libpwquality-dev <!stage1>,
                libarchive-dev <!stage1>,
@@ -93,15 +92,14 @@
 Priority: important
 Recommends: default-dbus-system-bus | dbus-system-bus,
             linux-sysctl-defaults,
-            networkd-dispatcher,
             systemd-timesyncd | time-daemon,
-            systemd-resolved,
             systemd-cryptsetup,
             ${dlopen:Recommends},
 Suggests: systemd-container,
           systemd-homed,
           systemd-userdbd,
           systemd-boot,
+          systemd-resolved,
           systemd-repart,
           libtss2-tcti-device0,
           polkitd,
@@ -115,6 +113,8 @@
 Conflicts: consolekit,
            libpam-ck-connector,
            systemd-shim,
+           elogind,
+           systemctl,
            opensysusers (<< 0.7.3-4.1~),
 Breaks: less (<< 563),
         sicherboot (<< 0.1.6),
@@ -137,6 +137,8 @@
 Priority: important
 Protected: yes
 Conflicts: sysvinit-core,
+           finit-sysv,
+           runit-init,
            file-rc,
            systemd-shim,
            initscripts,
@@ -314,3 +316,4 @@
 Suggests: ${dlopen:Suggests},
 Description: nss module to resolve names via systemd-resolved
  nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
+ of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via

=== debian/rules ===
--- 
+++ 
@@ -114,6 +114,7 @@
 	-Dstandalone-binaries=true \
 	-Dutmp=false \
 	-Dtty-mode=0600 \
+	-Dvmspawn=enabled \
 	-Dmode=$(if $(filter pkg.systemd.upstream,$(DEB_BUILD_PROFILES)),developer,release)
 
 ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES))$(filter noinsttest,$(DEB_BUILD_PROFILES)),nochecknoinsttest)
@@ -139,9 +140,9 @@
 	-Dcryptolib=openssl \
 	-Ddns-over-tls=openssl \
 	-Dlibfido2=enabled \
-	-Dtpm2=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dtpm2=enabled \
 	-Dp11kit=enabled \
-	-Dqrencode=$(if $(filter i386,$(DEB_HOST_ARCH)),disabled,enabled) \
+	-Dqrencode=enabled \
 	-Dpwquality=enabled \
 	-Dhomed=enabled \
 	-Duserdb=true \
@@ -178,13 +179,38 @@
 
 # BPF/BTF are only enabled and usable on a few architectures
 ifeq (, $(filter $(DEB_BUILD_PROFILES), stage1 pkg.systemd.nobpf))
-ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el s390x))
+ifneq (,$(filter $(DEB_TARGET_ARCH), amd64 arm64 ppc64el riscv64 s390x))
 CONFFLAGS += \
 	-Dvmlinux-h=provided \
 	-Dbpf-framework=enabled \
-	-Dbpf-compiler=clang \
-	-Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/bpf/vmlinux.h
-
+	-Dbpf-compiler=clang
+
+ifneq ($(DEB_VENDOR),Ubuntu)
+CONFFLAGS += -Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/bpf/vmlinux.h
+else
+CONFFLAGS += -Dvmlinux-h-path=/usr/include/$(DEB_HOST_MULTIARCH)/linux/vmlinux.h
+# TODO: drop this and the alternative build dep once support for Noble is dropped
+#
+# Source: https://git.launchpad.net/ubuntu/+source/xdp-tools/tree/debian/rules
+# On Ubuntu, the `bpftool` in path is a shell wrapper pointing at
+# the binary corresponding to runtime kernel version.
+#
+# We do not know the kernel version being used on the system building
+# this package, and in sbuild/container environments uname might not
+# even match anything available to the build.
+# Gladly for the build we only need the tool to generate skeleton code.
+#
+# If any /usr/lib/linux-tools/*/bpftool exists, locate the most recent
+# version and point to that, otherwise `bpftool` from PATH will be
+# used.
+#
+# Newer versions of linux-tools-* ship the binaries in /usr/lib/linux-tools-$(uname -r).
+# Check there too.
+bpftool_binary := $(shell find /usr/lib/linux-tools/ /usr/lib/linux-tools-* -name 'bpftool' -perm /u=x 2>/dev/null | sort -r | head -n1)
+ifneq ($(bpftool_binary),)
+export PATH := $(shell dirname $(bpftool_binary)):$(PATH)
+endif
+endif
 endif
 endif
 
@@ -220,23 +246,3 @@
 	debian/extra/checkout-upstream
 endif
 
-execute_before_dh_install:
-	# remove unnecessary / unused files that are picked up by wildcards/directory listings in dh_install
-	rm -rf debian/tmp/usr/share/doc/systemd/LICENSES/
-	rm -f debian/tmp/usr/share/doc/systemd/LICENSE.*
-	rm -f debian/tmp/usr/lib/udev/*.d/README
-	# replace upstream sysusers.d/basic.conf with proper users for Debian
-	if [ -d debian/tmp/usr/lib/sysusers.d/ ]; then \
-		debian/extra/make-sysusers-basic > debian/tmp/usr/lib/sysusers.d/basic.conf; \
-	fi
-
-execute_after_dh_install-arch:
-	# Ubuntu specific files
-ifeq ($(DEB_VENDOR),Ubuntu)
-	install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py
-	install -D --mode=644 debian/extra/systemd.py debian/systemd/usr/share/apport/package-hooks/systemd.py
-	install --mode=644 debian/extra/rules-ubuntu/*.rules debian/udev/usr/lib/udev/rules.d/
-	install -D --mode=644 debian/extra/resolved.conf.d/cache-no-negative.conf debian/systemd-resolved/usr/lib/systemd/resolved.conf.d/cache-no-negative.conf
-	cp -a debian/extra/units-ubuntu/* debian/systemd/usr/lib/systemd/system/
-endif
-

## systemd 258~rc2

=== debian/changelog ===
systemd (258~rc2-2) unstable; urgency=medium

  * Stop installing /var/lib/systemd in the package. /var/ needs to be
    handled by tmpfiles.d, not by the package, so that it can be deleted
    and recreated as needed on first boot.
  * NEWS: fixlets and adjustments (Closes: #1110569)

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Aug 2025 21:34:13 +0100

systemd (258~rc2-1) experimental; urgency=medium

  * Install usr/share/factory files and restore nsswitch.conf/pam.d/issue
    on factory reset
  * systemd-boot: register interest in systemd-boot-signed trigger
    (Closes: #1109984)
  * NEWS: fix typo (Closes: #1109979)
  * systemd-boot: fix registering/removing uncompressed kernels
  * d/t/control: prefer systemd-boot-tools if available
  * systemd-boot: make efibootmgr a dependency. Ensures efivars can be set
    up correctly
  * Update upstream source from tag 'upstream/258_rc2' Update to upstream
    version '258~rc2' with Debian dir
    164978ce9ff194871416f304705979b7d540a8e2
  * systemd-container: update lintian overrides for more false positives

 -- Luca Boccassi <bluca@debian.org>  Tue, 05 Aug 2025 17:19:48 +0100

## systemd 258~rc3

=== debian/changelog ===
systemd (258~rc3-1) unstable; urgency=medium

  * systemd-boot: install kernel hooks to /usr/share/ It is now supported
    since Trixie, so shim the hooks in /usr/share/ so they can be
    overridden in /etc/
  * Update upstream source from tag 'upstream/258_rc3' Update to upstream
    version '258~rc3' with Debian dir
    024c11377e68f4e54703104737379ce23e48c7cf
    (Closes: #1111326 #1110997)

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Aug 2025 15:27:08 +0100

## systemd 258~rc4

=== debian/changelog ===
systemd (258~rc4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/258_rc4' Update to upstream
    version '258~rc4' with Debian dir
    90746e462e2de5e83f4bcadd50a96a0fefd795de

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Sep 2025 11:37:05 +0100

## systemd 258

=== debian/changelog ===
systemd (258-1) unstable; urgency=medium

  * autopkgtest: manually compress logs on failure. Debci started deleting
    files from the artifacts archive, even though it gets compressed
    later. Compress logs manually at the highest ratio possible in the
    test itself to try and avoid losing logs, as it makes triaging issues
    impossible.
  * autopkgest: install dosfstools for test-loop-block
  * autopkgtest: enable debug logs for unit-tests job
  * Update to new upstream version v258. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v258
    (Closes: #1110461)

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Sep 2025 13:18:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -218,6 +218,7 @@
 CONFFLAGS += -Ddns-servers=''
 CONFFLAGS += -Dsbat-distro-url=https://tracker.debian.org/pkg/systemd
 else
+CONFFLAGS += --buildtype=debugoptimized
 CONFFLAGS += -Dsbat-distro-url=https://github.com/systemd/systemd
 CONFFLAGS += -Dsbat-distro=upstream
 CONFFLAGS += -Dsbat-distro-summary='Upstream build from git'
@@ -243,6 +244,3 @@
 
 execute_before_dh_auto_clean:
 ifneq (, $(filter pkg.systemd.upstream, $(DEB_BUILD_PROFILES)))
-	debian/extra/checkout-upstream
-endif
-

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 Tests: unit-config
 Depends: systemd,
-  udev,
   systemd-dev,
   libpam-systemd,
   libnss-systemd,
@@ -23,7 +22,6 @@
 
 Tests: storage
 Depends: systemd,
-  udev,
   systemd-cryptsetup,
   libpam-systemd,
   libnss-systemd,
@@ -38,7 +36,6 @@
 Tests: networkd-test.py
 Tests-Directory: test
 Depends: systemd,
-  udev,
   systemd-resolved,
   systemd-cryptsetup,
   libpam-systemd,
@@ -57,7 +54,6 @@
 
 Tests: build-login
 Depends: systemd,
-  udev,
   systemd-cryptsetup,
   libpam-systemd,
   libnss-systemd,
@@ -76,8 +72,6 @@
 
 Tests: boot-and-services
 Depends: systemd-sysv,
-  systemd,
-  udev,
   systemd-container,
   systemd-coredump,
   systemd-dev,
@@ -86,7 +80,7 @@
   libelf-dev,
   xserver-xorg-video-dummy,
   xserver-xorg,
-  gdm3 [amd64],
+  gdm3 [!s390x !riscv64 !armel !loong64],
   cron,
   network-manager,
   busybox-static,
@@ -120,15 +114,16 @@
   iputils-ping,
   dbus-user-session,
   zstd,
-  libtss2-dev [!i386],
+  libtss2-dev,
   libfido2-dev,
   libdw-dev,
-  libqrencode-dev [!i386],
+  libqrencode-dev,
   libpwquality-dev,
   libarchive-dev,
   libgcrypt20-dev,
   libcryptsetup-dev,
   tzdata-legacy | tzdata,
+  dosfstools,
 Restrictions: needs-root, isolation-container, skip-not-installable, skippable
 
 Tests: boot-smoke
@@ -156,3 +151,4 @@
 Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable
 
 # Dummy test so that changes to key packages trigger our autopkgtests on ci.debian.net
+Features: test-name=hint-testsuite-triggers
